# SWDB

# \Custom_Filter

A custom_Filter.

Represents an object from the table 'filter'.

## Summary

Methods
Properties
Constants
__construct()
$db
$uid
$id
$page
$name
$description
$condition
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Custom_Filter.php
Package
  Default
Class hierarchy
  \Entity
  \Custom_Filter

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $uid

    $uid : integer

#### Type

integer — Player identifier.

#

## Tags

None found

### $id

    $id : integer

#### Type

integer — Filter identifier.

#

## Tags

None found

### $page

    $page : string

#### Type

string — Name of the pge the filter is for.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Filter name.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Filter description.

#

## Tags

None found

### $condition

    $condition : string

#### Type

string — Filter condition (sql where clause).

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the run, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Filter identifier.

#

## Tags

None found

### Custom_Filter.php